Skip to main content
POST
Attach a source or upload to a story

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

storyId
integer
required

Story id in the current organization.

Body

application/json

Validated request fields for this operation.

upload_id
integer | null

Upload id. Validation: nullable, integer.

Example:

1

asset_type
string | null

Asset type. Validation: nullable, string, max:32.

Maximum string length: 32
Example:

"Asset Type"

title
string | null

Title. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Field update from the education program"

caption
string | null

Caption. Validation: nullable, string, max:2000.

Maximum string length: 2000
Example:

"Caption"

source_url
string<uri> | null

Source url. Validation: nullable, url, max:2048.

Maximum string length: 2048
Example:

"https://example.org/story"

drive_file_id
string | null

Drive file id. Validation: nullable, string, max:256.

Maximum string length: 256
Example:

"Drive File Id"

Consent status. Validation: nullable, string; allowed values: unknown, internal_only, donor_safe, public_safe.

Available options:
unknown,
internal_only,
donor_safe,
public_safe,
null
Example:

"unknown"

is_primary
boolean | null

Is primary. Validation: nullable, boolean.

Example:

true

metadata_json

Metadata json. Validation: nullable, array.

Response

Operation result.

data
object

Story asset or Library reference with current preview. Library references can return the narrower media preview shape.